Information and settings for your account.
Attributes
| Name | Type | Description |
|---|---|---|
| id | Integer | Automatically set |
| created_at | Datetime | Automatically set |
| updated_at | Datetime | Automatically set |
| subdomain | String | Required |
| String | Required | |
| name | String | Required |
| google_analytics | String | |
| css_url | String | |
| time_zone | String | Required |
| verification_method | Integer | |
| address | String | |
| country_code | String | Required. ISO 3166-1 alpha-2. |
| google_merchant_id | String | |
| google_merchant_key | String | |
| logo | File | |
| template | Integer | Required |
| service_template | String | |
| locale | String | Required. Supported locales: 'en', 'sv' and 'nb'. Default: 'en'. |
| currency | String | ISO4217 currency code |
| email_notification | Boolean | |
| mail_notification_recipient | ||
| sms_notification | Boolean | |
| phone_number | String | |
| confirm_manually | Boolean | |
| settings | Array | |
| public_access | Boolean | |
| interval_rounding | Integer | Default setting for all services for rounding to next available time. '15' will round 10:07 to become 10:15 as next available slot time. |
| slot_generation_type | Integer | Default: 2. 1=fixed. 2=next available. |
| future_bookable_period | String | Natural language date/time relative to current time. |
| first_bookable_period | String | Natural language date/time relative to current time. |
| payment_provider | String | |
| footer | Text | |
| verification_methods | String | |
| reminder_sms | Boolean | |
| closed_for_holidays | Boolean | |
| new_user_text | Liquid-Text | Above booking form. |
| new_booking_text | Liquid-Text | Booking confirmation page. |
| booking_form | Liquid-Text | Custom booking form. |
| person_form | Liquid-Text | For custom data in administration system. |
| resource_form | Liquid-Text | For custom data in administration system. |
| service_form | Liquid-Text | For custom data in administration system. |
| event_form | Liquid-Text | For custom data in administration system. |
| appointment_form | Liquid-Text | For custom data in administration system. |
| category_form | Liquid-Text | For custom data in administration system. |
| sms_verification | Liquid-Text | |
| sms_confirmation | Liquid-Text | |
| sms_modification | Liquid-Text | |
| sms_cancellation | Liquid-Text | |
| sms_reminder | Liquid-Text | |
| mail_verification | Liquid-Text | |
| mail_confirmation | Liquid-Text | |
| mail_modification | Liquid-Text | |
| mail_cancellation | Liquid-Text | |
| mail_verification_subject | String | |
| mail_confirmation_subject | String | |
| mail_modification_subject | String | |
| mail_cancellation_subject | String | |
| allow_cancellation | Boolean | |
| cancellation_period | String | Natural language date/time relative to start of booking. |
Additional parameters
| Name | Type | Description |
|---|---|---|
| remove_logo | Boolean |
Get account
GET /client will get the account.
Update account
PUT /client will update the account.
Holidays
Who doesn’t like a holiday?
Listing
GET /client/holidays will get holidays for account country.
Response
[
{
"holiday": {
"date": "2016-01-01",
"name": "New Year's Day"
}
},
{
"holiday": {
"date": "2016-05-01",
"name": "International Workers' Day"
}
}
]
Query Parameters
| Name | Type | Description |
|---|---|---|
| from | Date | |
| to | Date |
Users
Users who can log in to the account.
Attributes for user role on the account
| Name | Type | Description |
|---|---|---|
| id | Integer | Automatically set |
| created_at | Datetime | Automatically set |
| updated_at | Datetime | Automatically set |
| user_id | Integer | Automatically set |
| role | String | admin, manager or staff |
| user | Object | See attributes for a user |
Attributes for user
| Name | Type | Description |
|---|---|---|
| id | Integer | Automatically set |
| created_at | Datetime | Automatically set |
| updated_at | Datetime | Automatically set |
| name | String | Required |
| String | Required | |
| phone_number | String | Also available as phonenumber (deprecated). |
Listing
GET /client/users will list all users with access to the account.
Response
[
{
"client_user_link": {
"id": 1337,
"created_at": "2016-11-07T07:26:32+01:00",
"updated_at": "2016-11-07T07:27:42+01:00",
"role": "admin",
"user_id": 1,
"user": {
"id": 1,
"email": "maestro@example.org",
"phone_number": "180",
"name": "Espen Antonsen",
"created_at": "2016-11-07T07:26:32+01:00",
"updated_at": "2016-11-07T07:27:42+01:00"
}
}
}
]
Get user
GET /client/users/{user_link_id} will get a user with id {user_link_id}.
Add new user
POST /client/users will create a new user. An email is sent to the user so the user can specify their password.